// Archivo: normalidad.cpp
#include "normalidad.hpp"
#include <iostream>
#include<locale.h>
#include <string>
#include <windows.h>
using namespace std;

//Métodos Públicos
// Definición del constructor por defecto e inicilización de miembros
Normalidad::Normalidad() : Solucion()
{
	this->eqgramo = 0;
	this->lit = 0;
}
// Definición del constructor específico
Normalidad::Normalidad(string nom, string formu, float eqg, float li) : Solucion(nom, formu)
{
	this->eqgramo = eqg;
	this->lit = li;
}
// Definición del método específico de carga
void Normalidad::getnormalidad(string nom, string formu, float eqg, float li)
{
	this->eqgramo = eqg;
	this->lit = li;
}
// Definición del destructor por defecto
Normalidad::~Normalidad()
{
}
void Normalidad::setnormalidad()
{
	cout << endl;
	cout << "\n\t **** RESULTADO DEL CÁLCULO DE LA NORMALIDAD DE LA SOLUCIÓN **** ";
	cout << "\n\t-----------------------------------------------------------------";
	cout << "\n\tNúmero Eq-gramo de soluto: " << eqgramo << "\t\tLitros de solución: " << lit;
	Sleep(200);
}
float Normalidad::concentracion()
{
	float no = 0;
	Solucion::concentracion();
	no = eqgramo / lit;
	return no;
}
// final del archivo normalidad.cpp